org.eclipse.jgit.internal.storage.pack

## Class PackExt

- java.lang.Object
- - org.eclipse.jgit.internal.storage.pack.PackExt

    public class PackExt
    extends Object

A pack file extension.

### Field Summary

Fields
`static PackExt` `BITMAP_INDEX` A pack bitmap index file extension.
`static PackExt` `INDEX` A pack index file extension.
`static PackExt` `PACK` A pack file extension.

### Method Summary

Methods
`int` `getBit()`
`String` `getExtension()`
`int` `getPosition()`
`static PackExt` `newPackExt(String ext)` Returns a PackExt for the file extension and registers it in the values array.
`String` `toString()`
`static PackExt[]` `values()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PACK

    public static final PackExt PACK

A pack file extension.

#### INDEX

    public static final PackExt INDEX

A pack index file extension.

#### BITMAP_INDEX

    public static final PackExt BITMAP_INDEX

A pack bitmap index file extension.

### Method Detail

#### values

    public static PackExt[] values()

Returns:
  all of the PackExt values.

#### newPackExt

    public static PackExt newPackExt(String ext)

Returns a PackExt for the file extension and registers it in the values array.

Parameters:
  `ext` - the file extension.
Returns:
  the PackExt for the ext

#### getExtension

    public String getExtension()

Returns:
  the file extension.

#### getPosition

    public int getPosition()

Returns:
  the position of the extension in the values array.

#### getBit

    public int getBit()

Returns:
  the bit mask of the extension e.g `1 << getPosition()`.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`